Android 8 VPN native client

Reply
L1 Bithead

Android 8 VPN native client

Hello, we recently upgraded one of our firewalls to version 8.0.9 in order to allow newer Android versions to connect using its native VPN client. Android 7 clients are working now  but we recently found out that Android 8 does not work with this version nor 8.0.6 that we have installed in other of our firewalls. Anyone aware of that? I haven't found any release note on newer versions of the software.

L4 Transporter

Re: Android 8 VPN native client

Interesting, I am on 8.1 and have been using the native Android VPN client since the 7.x Android days and through the PANOS 7.x to 8.1.1 without any issues from the PA side.

 

On the Android side there was a bug in Android that would prevent the native VPN from working but that was patched a while ago and has been doing great.

 

I am using IPSec Xauth PSK on a Pixel and a Pixel 2 atm and they are both working (Android 8.1.0) and PANOS 8.1.1

L7 Applicator

Re: Android 8 VPN native client

@ibge,

You may want to open a ticket on it just so they can verify that everything is configured correctly and take a look at addressing it if it's an issue on Palo's side. It might be handy to include the device that you are using however; devices made by different OEMs have been known to behave differently depending on who it is. So it may be that you are only really seeing an issue due to using a certain brand of phone.

L1 Bithead

Re: Android 8 VPN native client

My description is a little inaccurate since we have tested only one device. We'll try with another phone before opening a ticket. 

L4 Transporter

Re: Android 8 VPN native client

Android VPN client works with PanOS 6.1.x and 7.1.x without issues, using IPSec and X-Auth.

 

We've been using that for several months now without issues, to connect Grandstream Android-based VoIP phones, and for Android smartphones (tested with Samsung Galaxy S7, Samsung Galaxy Note4, and LG V20).

 

Edit:  Ah, just realised you meant the Android 8 (aka Oreo) VPN Client.  Haven't tested that, just Android 6.0, 7.0, and 7.1 (and whatever version the VoIP phone uses).  Thought you meant you upgraded PanOS to 8.x in order to get the Android VPN Client to connect which seemed like a weird thing to do.  :)

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!